#ifndef GEMM_DSP_H
#define GEMM_DSP_H

extern "C" void dsp_release_opencl();
extern "C" int dsp_init_opencl();
extern "C" float *__dsp_malloc(int n, cl_mem_flags type, void** cl_buf);
extern "C" void __dsp_free(float *x_dsp, void* cl_buf);
extern "C" void __cblas_sgemm(int TA, int TB, int M, int N, int K, float ALPHA, 
        float* A, int lda, 
        float* B, int ldb,
        const float BETA,
        float* C, int ldc);
/*(int TA, int TB, int M, int N, int K, float ALPHA, 
        float* A, void* A_cl, int lda, 
        float* B, void* B_cl, int ldb,
        const float BETA,
        float* C, void* C_cl, int ldc);*/


#endif
